Show / Hide Table of Contents

# Struct RaptureMacroModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Misc

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RaptureMacroModule

### Fields

| Improve this Doc View Source

#### Individual

##### Declaration

    public RaptureMacroModule.MacroPage Individual

##### Field Value

Type | Description
--- | ---
RaptureMacroModule.MacroPage |

| Improve this Doc View Source

#### Shared

##### Declaration

    public RaptureMacroModule.MacroPage Shared

##### Field Value

Type | Description
--- | ---
RaptureMacroModule.MacroPage |

### Properties

| Improve this Doc View Source

#### Instance

##### Declaration

    public static readonly RaptureMacroModule*Instance { get; }

##### Property Value

Type | Description
--- | ---
RaptureMacroModule* |

### Methods

| Improve this Doc View Source

#### AppendMacroLines(RaptureMacroModule.Macro*, Utf8String*)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 44 8B 87 ? ? ? ? B2 01")]
    public void AppendMacroLines(RaptureMacroModule.Macro*macro, Utf8String*lines)

##### Parameters

Type | Name | Description
--- | --- | ---
RaptureMacroModule.Macro* | macro |
Utf8String* | lines |

| Improve this Doc View Source

#### GetLineCount(RaptureMacroModule.Macro*)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 83 F8 0F B9 ? ? ? ?")]
    public uint GetLineCount(RaptureMacroModule.Macro*macro)

##### Parameters

Type | Name | Description
--- | --- | ---
RaptureMacroModule.Macro* | macro |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetMacro(UInt32, UInt32)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 32 DB 83 C6 F9")]
    public RaptureMacroModule.Macro*GetMacro(uint set, uint index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | set |
System.UInt32 | index |

##### Returns

Type | Description
--- | ---
RaptureMacroModule.Macro* |

| Improve this Doc View Source

#### ReplaceMacroLines(RaptureMacroModule.Macro*, Utf8String*)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 48 8D 4C 24 ? E8 ? ? ? ? 44 8B 83 ? ? ? ?")]
    public void ReplaceMacroLines(RaptureMacroModule.Macro*macro, Utf8String*lines)

##### Parameters

Type | Name | Description
--- | --- | ---
RaptureMacroModule.Macro* | macro |
Utf8String* | lines |

| Improve this Doc View Source

#### SetMacroLines(RaptureMacroModule.Macro*, Int32, Utf8String*)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 48 8D 4C 24 ? E8 ? ? ? ? 48 8D 8C 24 ? ? ? ? E8 ? ? ? ? 41 FE C7")]
    public void SetMacroLines(RaptureMacroModule.Macro*macro, int lineStartIndex, Utf8String*lines)

##### Parameters

Type | Name | Description
--- | --- | ---
RaptureMacroModule.Macro* | macro |
System.Int32 | lineStartIndex |
Utf8String* | lines |